Problem with Link

Discussion in 'ISPConfig 3 Priority Support' started by Quaxth, Jun 29, 2017.

  1. Quaxth

    Quaxth Member

    Hi,
    I got everything (nearly!) working till now, just a small problem still appears with the button for Softaculous to start correctly, I need to add the ISPC Port 8899 (which I use) manually at every boot for to get Softaculous start correctly. I looked for the file that contains the Link. The original file I found: softaculous.menu.php at: [email protected]:/usr/local/ispconfig/interface/web/tools/lib/menu.d# nano softaculous.menu.php

    Code:
    ?php
            // Created by Softaculous Installer at 2017-06-28 14:41:19
            $items[] = array( 'title'  => 'Softaculous',
                    'target'  => '_blank',
                    'link' => (!empty($_SERVER['HTTPS']) ? 'https://' : 'http://').$_SERVER['SERVER_NAME'].'/softaculous');
    
            $module['nav'][] = array( 'title' => 'Auto Installer',
                    'open'  => 1,
                    'items' => $items);
    
            unset($items);
    
    ?>
    Now, if I change the following line: 'link' => (!empty($_SERVER['HTTPS']) ? 'https://' : 'http://').$_SERVER['SERVER_NAME'].'/softaculous');

    to: 'link' => 'http://[public_IP]:8899/softaculous');

    would that works? from the Internet (WAN) and local (LAN)? Or what would be the correct change?

    Thanks a lot for help.
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Change the link to the address that you have to type in the browser to start softaculous. It depends on your router if you can use the WAN address from internal as well.
     
  3. Quaxth

    Quaxth Member

  4. Quaxth

    Quaxth Member

    And another problem I just faced: the PHP 7! I also need some older PHP Versions like 5.6, 5.4 or even older, have to check! Some of my scripts didn't work with PHP 7!

    How to do that on the easiest way?

    Thanks.
     
  5. till

    till Super Moderator Staff Member ISPConfig Developer

    Yes. Just try it, then you see if it works.
     
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    This should probably work for Debian 9 as well:

    https://www.howtoforge.com/tutorial/how-to-install-php-5-6-on-ubuntu-16-04/

    There are also some automated compile scripts out there as far as I know, but not sure if thy have been adapted for Deb9 already.
     
  7. Quaxth

    Quaxth Member

    Thanks for that infos. Will do tomorrow morning, it's now near midnight already!

    Thanks a lot and good night!
     
  8. Quaxth

    Quaxth Member

    I started to try to install/add PHP 5.6 using that tutorial, and got error at the 2. set of commands:
    Code:
    [email protected]:/home/reimar# apt-get install build-essential wget nano
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    build-essential is already the newest version (12.3).
    nano is already the newest version (2.7.4-1).
    wget is already the newest version (1.18-5).
    0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
    [email protected]:/home/reimar# apt-get install libfcgi-dev libfcgi0ldbl libjpeg62-dbg libmcrypt-dev libssl-dev libc-client2007e libc-client2007e-dev libxml2-dev libbz2-dev libcurl4-openssl-dev libjpeg-dev libpng12-dev libfreetype6-dev libkrb5-dev libpq-dev libxml2-dev libxslt1-dev
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Package libpng12-dev is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source
    
    E: Unable to locate package libjpeg62-dbg
    E: Package 'libpng12-dev' has no installation candidate
    [email protected]:/home/reimar# sudo apt-get install libfcgi-dev libfcgi0ldbl libjpeg62-dbg libmcrypt-dev libssl-dev libc-client2007e libc-client2007e-dev libxml2-dev libbz2-dev libcurl4-openssl-dev libjpeg-dev libpng12-dev libfreetype6-dev libkrb5-dev libpq-dev libxml2-dev libxslt1-dev
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Package libpng12-dev is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source
    
    E: Unable to locate package libjpeg62-dbg
    E: Package 'libpng12-dev' has no installation candidate
    [email protected]:/home/reimar# ln -s /usr/lib/libc-client.a /usr/lib/x86_64-linux-gnu/libc-client.a
    [email protected]:/home/reimar#
    
    So, I stopped here already and wait for your answer what to do next.

    Just to mention, I first tried that 2. command as given, and, as it gave an error, I re-runned that command by adding sudo in front.
     
  9. till

    till Super Moderator Staff Member ISPConfig Developer

    These packages does not seem to exist on Debian 9, I would try to install these instead:

    apt-get install libpng-dev libjpeg-dev

    and then continue with the tutorial. Regarding sudo, sudo is only needed when you are not logged in as root. To become root user on debian when you logged in with another username, run:

    sudo -s

    so you do not have to prepend the sudo command for each command.
     
  10. Quaxth

    Quaxth Member

    Thanks a lot, will try to get further!!
     
  11. Quaxth

    Quaxth Member

    Now I get the following while running the command make an make install:
    Code:
    [email protected]:/usr/local/src/php5-build/php-5.6.30# [email protected]:/usr/local/src/php5-build/php-5.6.30# make install
    bash: [email protected]:/usr/local/src/php5-build/php-5.6.30#: No such file or directory
    [email protected]:/usr/local/src/php5-build/php-5.6.30# make: *** No rule to make target 'install'.  Stop.
    bash: make:: command not found
    [email protected]:/usr/local/src/php5-build/php-5.6.30# [email protected]:/usr/local/src/php5-build/php-5.6.30#
    bash: [email protected]:/usr/local/src/php5-build/php-5.6.30#: No such file or directory
    [email protected]:/usr/local/src/php5-build/php-5.6.30#
    
    what to do now? Thanks!
     
  12. Quaxth

    Quaxth Member

    still some problems with Extensions! Could you please take a look at:
    Code:
    Configuring extensions
    checking size of long... (cached) 8
    checking size of int... (cached) 4
    checking for int32_t... yes
    checking for uint32_t... yes
    checking for sys/types.h... (cached) yes
    checking for inttypes.h... (cached) yes
    checking for stdint.h... (cached) yes
    checking for string.h... (cached) yes
    checking for stdlib.h... (cached) yes
    checking for strtoll... yes
    checking for atoll... yes
    checking for strftime... (cached) yes
    checking which regex library to use... php
    checking whether to enable LIBXML support... yes
    checking libxml2 install dir... /usr
    checking for xml2-config path...
    configure: error: xml2-config not found. Please check your libxml2 installation.
    [email protected]:/usr/local/src/php5-build/php-5.6.30# make
    make: *** No targets specified and no makefile found.  Stop.
    [email protected]:/usr/local/src/php5-build/php-5.6.30# make install
    make: *** No rule to make target 'install'.  Stop.
    [email protected]:/usr/local/src/php5-build/php-5.6.30# [email protected]:/usr/local/src/php5-build/php-5.6.30# make
    make: *** No targets specified and no makefile found.  Stop.
    [email protected]:/usr/local/src/php5-build/php-5.6.30# make install
    make: *** No rule to make target 'install'.  Stop.
    [email protected]:/usr/local/src/php5-build/php-5.6.30#
    bash: [email protected]:/usr/local/src/php5-build/php-5.6.30#: No such file or directory
    [email protected]:/usr/local/src/php5-build/php-5.6.30# make: *** No targets specified and no makefile found.  Stop.
    bash: make:: command not found
    [email protected]:/usr/local/src/php5-build/php-5.6.30# [email protected]:/usr/local/src/php5-build/php-5.6.30# make install
    bash: [email protected]:/usr/local/src/php5-build/php-5.6.30#: No such file or directory
    [email protected]:/usr/local/src/php5-build/php-5.6.30# make: *** No rule to make target 'install'.  Stop.
    bash: make:: command not found
    [email protected]:/usr/local/src/php5-build/php-5.6.30# [email protected]:/usr/local/src/php5-build/php-5.6.30#
    bash: [email protected]:/usr/local/src/php5-build/php-5.6.30#: No such file or directory
    [email protected]:/usr/local/src/php5-build/php-5.6.30# ^C
    
     
  13. till

    till Super Moderator Staff Member ISPConfig Developer

    run:

    apt-get install libxml2-dev

    and then run the configure command again.
     
  14. Quaxth

    Quaxth Member

    Thanks Till.

    I was try that and end up getting:
    Code:
    make: *** No targets specified and no makefile found.  Stop.
    [email protected]:/home/reimar# make install
    cat install.sh >install
    chmod a+x install
    [email protected]:/home/reimar# ./configure --help
    bash: ./configure: No such file or directory
    [email protected]:/home/reimar# cd php-5.6.30/
    bash: cd: php-5.6.30/: No such file or directory
    [email protected]:/home/reimar# ./configure --prefix=/opt/php-5.6.30 --with-pdo-pgsql --with-zlib-dir --with-freetype-dir --enable-mbstring --with-libxml-dir=/usr --enable-soap --enable-calendar --with-curl --with-mcrypt --with-zlib --with-gd --with-pgsql --disable-rpath --enable-inline-optimization --with-bz2 --with-zlib --enable-sockets --enable-sysvsem --enable-sysvshm --enable-pcntl --enable-mbregex --enable-exif --enable-bcmath --with-mhash --enable-zip --with-pcre-regex --with-mysql --with-pdo-mysql --with-mysqli --with-jpeg-dir=/usr --with-png-dir=/usr --enable-gd-native-ttf --with-openssl --with-fpm-user=www-data --with-fpm-group=www-data --with-libdir=/lib/x86_64-linux-gnu --enable-ftp --with-imap --with-imap-ssl --with-gettext --with-xmlrpc --with-xsl --with-kerberos --enable-fpm
    bash: ./configure: No such file or directory
    [email protected]:/home/reimar# cd php-5.6.30/
    bash: cd: php-5.6.30/: No such file or directory
    [email protected]:/home/reimar#
    
    Maybe I need to run ALL command again?

    Thanks.
     
  15. till

    till Super Moderator Staff Member ISPConfig Developer

    No. The reason for the new errors is that you changed the directory in the meantime. yu are currently in /home/reimar/ but you have to be in /usr/local/src/php5-build/php-5.6.30
     
  16. Quaxth

    Quaxth Member

    OK, gone there, and had run: apt-get install libpng-dev libjpeg-dev
    After that was run the configure command again and then the make install command and got:
    Code:
    Configuring extensions
    checking size of long... (cached) 8
    checking size of int... (cached) 4
    checking for int32_t... yes
    checking for uint32_t... yes
    checking for sys/types.h... (cached) yes
    checking for inttypes.h... (cached) yes
    checking for stdint.h... (cached) yes
    checking for string.h... (cached) yes
    checking for stdlib.h... (cached) yes
    checking for strtoll... yes
    checking for atoll... yes
    checking for strftime... (cached) yes
    checking which regex library to use... php
    checking whether to enable LIBXML support... yes
    checking libxml2 install dir... /usr
    checking for xml2-config path... /usr/bin/xml2-config
    checking whether libxml build works... yes
    checking for OpenSSL support... yes
    checking for Kerberos support... yes
    checking whether to use system default cipher list instead of hardcoded value... no
    checking for krb5-config... no
    checking for DSA_get_default_method in -lssl... no
    checking for X509_free in -lcrypto... yes
    checking for RAND_egd... no
    checking for pkg-config... /usr/bin/pkg-config
    checking for PCRE library to use... bundled
    checking whether to enable the SQLite3 extension... yes
    checking bundled sqlite3 library... yes
    checking for ZLIB support... yes
    checking if the location of ZLIB install directory is defined... yes
    checking for zlib version >= 1.2.0.4... 1.2.8
    checking for gzgets in -lz... yes
    checking whether to enable bc style precision math functions... yes
    checking for BZip2 support... yes
    checking for BZip2 in default path... not found
    configure: error: Please reinstall the BZip2 distribution
    [email protected]:/usr/local/src/php5-build/php-5.6.30# make
    make: *** No targets specified and no makefile found.  Stop.
    [email protected]:/usr/local/src/php5-build/php-5.6.30# make install
    make: *** No rule to make target 'install'.  Stop.
    [email protected]:/usr/local/src/php5-build/php-5.6.30#
    
    Now it tells: make: *** No rule to make target 'install'. Stop.

    Is that OK? not look so for I!
     
  17. till

    till Super Moderator Staff Member ISPConfig Developer

    Please do not run the make command when the configure command stopped with a failure. configure needs to finish without an error before you can run make.

    I guess you get tehs eerrors becuase the command:

    apt-get install libfcgi-dev libfcgi0ldbl libjpeg62-dbg libmcrypt-dev libssl-dev libc-client2007e libc-client2007e-dev libxml2-dev libbz2-dev libcurl4-openssl-dev libjpeg-dev libpng12-dev libfreetype6-dev libkrb5-dev libpq-dev libxml2-dev libxslt1-dev

    from tutorial was not exeuted completely. As we found out above, some packages were renamed, but the other pckages that have still the same name need to be installed as well. So I replaced the named now according to our findings above, the command that you have to execute to install the dependencies is:

    apt-get install libfcgi-dev libfcgi0ldbl libjpeg-dev libmcrypt-dev libssl-dev libc-client2007e libc-client2007e-dev libxml2-dev libbz2-dev libcurl4-openssl-dev libjpeg-dev libpng-dev libfreetype6-dev libkrb5-dev libpq-dev libxml2-dev libxslt1-dev

    and then run configure again.
     
  18. Quaxth

    Quaxth Member

    Thanks, Till.

    That means I first run the command:
    apt-get install libfcgi-dev libfcgi0ldbl libjpeg-dev libmcrypt-dev libssl-dev libc-client2007e libc-client2007e-dev libxml2-dev libbz2-dev libcurl4-openssl-dev libjpeg-dev libpng-dev libfreetype6-dev libkrb5-dev libpq-dev libxml2-dev libxslt1-dev

    and after done that I run:
    ./configure --prefix=/opt/php-5.6.30 --with-pdo-pgsql --with-zlib-dir --with-freetype-dir --enable-mbstring --with-libxml-dir=/usr --enable-soap --enable-calendar --with-curl --with-mcrypt --with-zlib --with-gd --with-pgsql --disable-rpath --enable-inline-optimization --with-bz2 --with-zlib --enable-sockets --enable-sysvsem --enable-sysvshm --enable-pcntl --enable-mbregex --enable-exif --enable-bcmath --with-mhash --enable-zip --with-pcre-regex --with-mysql --with-pdo-mysql --with-mysqli --with-jpeg-dir=/usr --with-png-dir=/usr --enable-gd-native-ttf --with-openssl --with-fpm-user=www-data --with-fpm-group=www-data --with-libdir=/lib/x86_64-linux-gnu --enable-ftp --with-imap --with-imap-ssl --with-gettext --with-xmlrpc --with-xsl --with-kerberos --enable-fpm

    I just need to be clear about the how too!
    Thanks a lot.
     
  19. till

    till Super Moderator Staff Member ISPConfig Developer

    Yes. The first command installs the dependencies and the second command configures the sourcecode so that make can compile it.
     
  20. Quaxth

    Quaxth Member

    And after that I do need to run: make and make install , or only make install?
     

Share This Page